[Mongrel] Installing Ruby

Mike M spmikedev at yahoo.com
Wed Mar 29 10:35:27 EST 2006


I just attempted to install Mongrel on Windows. I'm not going to run it as a service, so I thought
I'd select the ruby flavor (option 1). See error message below.

Q: Is the ruby flavor not supported on Windows? If so, it would be useful to update the website
with this info.

Thanks,
Mike.

K:\rails\apps\helloworld>gem install mongrel
Attempting local installation of 'mongrel'
Local gem file not found: mongrel*.gem
Attempting remote installation of 'mongrel'
Updating Gem source index for: http://gems.rubyforge.org
Select which gem to install for your platform (i386-mswin32)
 1. mongrel 0.3.11 (ruby)
 2. mongrel 0.3.11 (mswin32)
 3. mongrel 0.3.10.1 (ruby)
 4. mongrel 0.3.10 (ruby)
 5. mongrel 0.3.9 (ruby)
 6. mongrel 0.3.8 (mswin32)
 7. mongrel 0.3.8 (ruby)
 8. mongrel 0.3.7.1 (mswin32)
 9. mongrel 0.3.7.1 (ruby)
 10. mongrel 0.3.7 (ruby)
 11. mongrel 0.3.6 (mswin32)
 12. mongrel 0.3.6 (ruby)
 13. mongrel 0.3.5 (ruby)
 14. mongrel 0.3.5 (mswin32)
 15. mongrel 0.3.4 (mswin32)
 16. mongrel 0.3.4 (ruby)
 17. mongrel 0.3.3 (ruby)
 18. mongrel 0.3.2 (ruby)
 19. mongrel 0.3.1 (ruby)
 20. mongrel 0.3 (ruby)
 21. mongrel 0.2.2 (ruby)
 22. mongrel 0.2.1 (ruby)
 23. mongrel 0.2.0 (ruby)
 24. Cancel installation
> 1
Install required dependency daemons? [Yn]
Install required dependency gem_plugin? [Yn]
Building native extensions.  This could take a while...
ERROR:  While executing gem ... (Errno::ENOENT)
    No such file or directory - nmake


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 


More information about the Mongrel-users mailing list